/* variables pour les changements de couleur */
:root {
    --background_color: white;
    --text_color: black;
}


/* Réinitialisation des marges et définition d’un box-sizing commun */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    }
/* Pour garantir que le body occupe toute la hauteur de la fenêtre */
html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    }
main {
    margin: 8px;
}
body {
    /* font-family: Arial, Helvetica, "Liberation Sans", FreeSans, sans-serif; */
    /* font-family: 'Quicksand', sans-serif; */
    font-family: 'Montserrat', sans-serif;
    font-weight: normal; font-stretch: normal; font-style: normal;
    font-size: 16px; color:#52527D;
    background-color:white;
}
body.light-mode { background: white; color: black; }
body.dark-mode { background: black; color: white; }

/* Right toolbar */
#right-toolbar {
    position: fixed;
    font-size: 16px;
    line-height: 1.4;
    z-index: 9999;
    top: 200px;
    /* background-color: rgb(245, 212, 169); */
}

#right-toolbar {
    right: -180px;
    transition: right 750ms cubic-bezier(.23, 1, .32, 1);
}
#right-toolbar.right-toolbar-open {
    right: 0;
}
.right-toolbar-toggle {
    position: absolute;
    right: 180px;
}
.right-toolbar-toggle a {
    font-size: 230%;
    border-radius: 10px 0 0 10px;
    background-color: var(--text_color);        /* Couleurs inversée */
    color: var(--background_color);
    display: inline-block;
    padding: 10px;
}
.right-toolbar-overlay {
    background-color: white;
    color: black;
    border: 1px solid black;
    display: inline-block;
    width: 180px;
    padding: 10px;
}.right-toolbar-title {
    font-weight: bold;
    margin-bottom: 10px;
}
.right-toolbar-items {
    list-style: none;
    margin: 0;
    padding: 10px 0;
}
.right-toolbar-item {
    padding: 1em
}
.right-toolbar-item a {
    color: inherit;
    text-decoration: none;
}
/* right-light-background {
    background: #fff !important;
    color: #000 !important;
} */